@charset "utf-8";
/* CSS Document */
@import "../font/vazir/font-face.css";
/*@import "all.min.css";*/

* {
    font-family: 'Vazir';
}

a {
    text-decoration: none !important;
    color: black;
}

.main {
    min-height: 700px;
}

.main-back {
    background-image: url("../img/back-01.png");
    background-size: cover;
    background-attachment: fixed;
    background-repeat: repeat;
    background-position: top;
}

/*slick slider*/

.slick-dots li.slick-active button:before {
    color: #343a40;
}

.slick-dots li button:before {
    font-size: 50px;
    color: #343a40;
}

.slick-initialized .slick-slide:focus {
    outline: none;
}

.slick-initialized .slick-slide {
    padding-left: 15px !important;
    padding-right: 15px !important;
}

/* main-header */

.header-design {
    background: rgba(255, 255, 255, .9) ;
    transition: .5s;
}

.header-design .navbar-toggler {
    border: none;
}

.navbar-toggler:active,
.navbar-toggler:focus {
    outline: none;
}

.header-design .navbar .navbar-toggler-icon {
    width: 24px;
    height: 17px;
    background-image: none;
    position: relative;
    border-bottom: 2px solid #b29456;
    transition: all 300ms linear;
}

.header-design .navbar .navbar-toggler-icon:after,
.header-design .navbar .navbar-toggler-icon:before {
    width: 24px;
    position: absolute;
    height: 2px;
    background-color: #b29456;
    top: 0;
    left: 0;
    content: '';
    z-index: 2;
    transition: all 300ms linear;
}

.header-design .navbar .navbar-toggler-icon:after {
    top: 8px;
}

.header-design .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
    transform: rotate(45deg);
}

.header-design .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
    transform: translateY(8px) rotate(-45deg);
}

.header-design .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    border-color: transparent;
}

.header-design ul.dropdown-menu {
    background: #141714;
    border-radius: 16px;
}

.menu-img {
    height: 40px;
    width: auto;
    transition: .3s;
    content: url("../img/logo.svg");
}

.header-user svg {
    color: white;
    font-size: 20px;
}

@media all and (min-width: 768px) {
    .header-design .menu-item-has-children:hover ul, .header-design .menu-item-has-children ul:hover {
        display: block;
    }
    .navbar-expand-md {
        width: 100%;
    }
    .header-design .menu-item-has-children ul {
        top: 38px;
    }
}

@media all and (max-width: 768px) {
    .navbar-brand{
        margin-left: auto;
        margin-right: auto;
    }
}

/* Frontpage-Top-Design */

.front-top-design {
    min-height: 750px;
}

.front-top-design .front-top-img img {
    max-height: 650px;
    position: absolute;
    right: 0;
    top: 0;
    transform: scaleX(-1)!important;
}

.front-top-design .front-top-img-rtl img {
    max-height: 650px;
    position: absolute;
    left: 0;
    top: 0;
}

.front-top-design h1 {
    font-size: 48px;
    font-weight: 700;
    color: #4F8CF7;
}

.front-top-contact {
    background: rgba(255, 255, 255, .8);
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0, 0, 0, .1);
}

.front-top-design .front-top-contact img {
    max-height: 35px;
}

.front-top-design .front-top-contact svg {
    font-size: 40px;
    color: #4F8CF7;
}

.front-top-design .front-top-contact a {
    background: #B29456;
    color: white;
    border-radius: 8px;
    border: solid 2px white;
    box-shadow: 1px 1px 6px rgba(0, 0, 0, .4);
}

@media (max-width: 768px) {
    .front-top-design .front-top-img-rtl img,
    .front-top-design .front-top-img img {
        position: unset;
    }

    .front-top-design h1 {
        font-size: 36px;
        margin-top: 20px;
    }

}

/* Frontpage Services */

.front-services {
    background: rgba(255, 255, 255, .8);
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0, 0, 0, .1);
    padding: 35px 20px 20px 20px;
}

.front-services-title {
    box-shadow: 0 0 8px rgba(0, 0, 0, .4);
    border-radius: 12px;
    border: solid 2px #B29456;
    overflow: hidden;
    background: white;
}

.front-services-title span {
    background: #B29456;
    letter-spacing: 5px;
}

.front-services .front-services-slider .front-services-slide img {
    object-fit: scale-down;
}

.front-services .front-services-slider .front-services-slide span {
    background-image: linear-gradient(240deg, #B29456 20%, #F1DC83 50%, #B29456 85%, #B29456 100%);
    border-radius: 16px;
    padding: 6px;
    box-shadow: 1px 1px 6px rgba(0, 0, 0, .4);
}

.front-services .front-services-slider .front-services-slide strong {
    border: solid .1rem #343a40;
    border-radius: 10px;
    width: 100%;
    font-size: 17px;
}

[dir='rtl'] .front-services .front-services-slider .slick-next {
    left: 0;
}

.front-services .front-services-slider .slick-prev {
    left: 0;
}

[dir='rtl'] .front-services .front-services-slider .slick-prev {
    right: 0;
    left: unset;
}

/* Frontpage Content */

.frontpage-content img {
    height: 150px;
    object-fit: scale-down;
    filter: drop-shadow(1px 2px 7px rgba(0, 0, 0, .4));
}

/* Frontpage Offer Form */

.frontpage-offer {
    background: #B29456;
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0, 0, 0, .1);
    overflow: hidden;
}

.frontpage-offer img {
    height: 450px;
    object-fit: cover;
    object-position: top;
}

.frontpage-offer .slick-dotted.slick-slider {
    margin-bottom: 0 !important;
}

.frontpage-offer .slick-initialized .slick-slide {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.frontpage-offer .slick-initialized .slick-dots {
    bottom: 15px;
    left: 15px;
    text-align: left;
}

.frontpage-offer .slick-initialized .slick-dots li button:before,
.frontpage-offer .slick-initialized .slick-dots li.slick-active button:before {
    color: #B29456;
    opacity: .6;
}

.frontpage-offer .slick-initialized .slick-dots li.slick-active button:before {
    opacity: 1;
}

.frontpage-offer-form {
    border-radius: 16px;
    background-image: url("../img/back-02.jpg");
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 380px;
    box-shadow: 1px 1px 12px rgba(0, 0, 0, .3);
}

.frontpage-offer-form .gform_wrapper {
    margin: 0;
    width: 100%;
}
.frontpage-offer-form .gform_wrapper .gform_footer input{
    align-self: center;
}

.frontpage-offer-form .gform_body ul {
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: end;
}

.frontpage-offer-form .gform_body ul li label {
    display: none !important;
}

.frontpage-offer-form .gform_body ul li {
    width: 100% !important;
    padding-left: 0 !important;
}

.frontpage-offer-form .gform_body ul li input {
    width: 100% !important;
    border: solid 2px white;
    background: rgba(255, 255, 255, .7);
    border-radius: 12px;
}

.frontpage-offer-form .gform_body ul li input::placeholder {
    color: black;
}

.frontpage-offer-form .gform_footer {
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: end;
}

.frontpage-offer-form .gform_footer input {
    background: #b29456;
    color: white;
    padding: 5px 60px;
    width: auto !important;
    border: solid 2px white;
    box-shadow: 1px 1px 7px rgba(0, 0, 0, .4);
    border-radius: 8px;
}

/* Frontpage Achievements */

.front-achievements-slide {
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 1px 1px 7px rgba(0, 0, 0, .4);
    min-height: 420px;
    position: relative;
    border: solid 2px #b29456;
}
.front-achievements-slide img {
    height: 100%;
    object-position: top;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.front-achievements-slide .front-achievements-tex {
    background: rgba(30, 30, 30, 0.8);
    border-radius: 8px;
    border: 1px solid #b29456;
}

/* Frontpage Articles */

.articles-bg{
    background-image: url("../img/back-03.png"), linear-gradient(rgba(0,0,0,.1)0%, rgba(0,0,0,.1)100%);
    background-size: cover;
    background-attachment: fixed;
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0,0,0,.1);
    border: 1px solid #b29456;
}
.articles-bg .articles-slide-custom {
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0, 0, 0, .2);
    background: white;
    overflow: hidden;
}
.articles-bg .articles-slide-custom img{
    height: 200px;
    object-fit: cover;
}
.articles-bg .articles-slide-custom h5{
    color: #b29456;
}
.articles-bg .articles-slide-custom span{
    color: #292c35;
}
body.dark .articles-bg .articles-slide-custom span{
    background: #343f48;
    color: white;
}


/* Footer */

.footer-top .footer-about img {
    height: 80px;
}

.footer-top .footer-contact svg {
    font-size: 18px;
    color: #b29456;
}

.footer-top .footer-social a svg {
    font-size: 35px;
    color: #b29456;
}

.footer-top #footer_menu ul li:not(:last-child) {
    border-left: solid 2px #b29456;
}

@media (max-width: 768px) {
    .footer-top #footer_menu ul li:not(:last-child) {
        border-left: none;
    }
}

.after-footer {
    background: #1c1835;
}

.after-footer span {
    color: #b29456 !important;
}

.fixed-contact {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
}
.fixed-contact .fixed-contact-btn {
    background: #b29456;
    border-radius: 12px 0 0 12px;
    box-shadow: -1px 0 6px rgba(0,0,0,.5);
}
.fixed-contact-btn a:not(:last-child) {
    border-bottom: 1px solid white;
}
.fixed-contact-btn a svg{
    color: white;
    font-size: 28px;
}
body.dark .fixed-contact-btn {
    box-shadow: -1px 0 6px black;
}
@media (max-width: 768px) {
    .fixed-contact {
        position: fixed;
        left: 0;
        right: 0;
        bottom: 0;
        top: unset;
        z-index: 99;
    }
    .fixed-contact .fixed-contact-btn {
        border-radius: 12px 12px 0 0;
        box-shadow: 0 -1px 4px rgba(0,0,0,.5);
    }
    body.dark .fixed-contact-btn {
        box-shadow: 0 -1px 6px black;
    }
    .fixed-contact-btn a:not(:last-child) {
        border-bottom: 0;
        border-left: 1px solid white;
    }
}

/* CATEGORIES */

/* -------- Category -------- */

.archive-post-custom {
    border-radius: 16px;
    box-shadow: 0 0 20px rgba(0, 0, 0, .2);
    background: white;
    overflow: hidden;
}
.archive-post-custom img{
    height: 200px;
    object-fit: cover;
}
.archive-post-custom h5{
    color: #b29456;
}
.archive-post-custom span{
    color: #292c35;
}
body.dark .archive-post-custom span{
    background: #343f48;
    color: white;
}

/* -------- Services Category -------- */

.services-category img {
    object-fit: scale-down;
}

.services-category span {
    background-image: linear-gradient(240deg, #B29456 20%, #F1DC83 50%, #B29456 85%, #B29456 100%);
    border-radius: 16px;
    padding: 6px;
    box-shadow: 1px 1px 6px rgba(0, 0, 0, .4);
}

.services-category strong {
    border: solid .1rem #343a40;
    border-radius: 10px;
    width: 100%;
    font-size: 17px;
}

/* --------- Singular --------- */

.single-post-edit{
    border-radius: 16px;
    background: rgba(255, 255, 255, .7);
    box-shadow: 0 0 20px rgba(0,0,0,.2);
}

.singular-post-navigation p {
    color: #b29456;
}

body.dark .single-post-edit{
    background: #343f48;
    color: white;
}

    /* ---- Singular Services ---- */

.services-top-template {
    height: 600px;
}
.services-top-template .services-top-content {
    background: rgba(0,0,0,.7);
    box-shadow: 0 0 10px rgba(0,0,0,.2);
    border-radius: 16px;
    min-height: 330px;
}
.services-top-template .services-top-content h1{
    color: #b29456;
    text-shadow: 1px 1px 7px rgba(0,0,0,.7);
}

.services-top-template .services-top-content p{
    color: white;
    font-size: large;
}
.services-top-template img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 600px;
    object-fit: cover;
    width: 100%;
}
.services-offer-form {
    position: fixed;
    right: 8%;
    max-width: 300px;
    border-radius: 16px;
    background: #b29456;
    box-shadow: 1px 1px 12px rgba(0, 0, 0, .3);
    z-index: 99;
}

.services-offer-form-rtl {
    position: fixed;
    left: 8%;
    max-width: 300px;
    border-radius: 16px;
    background: #b29456;
    box-shadow: 1px 1px 12px rgba(0, 0, 0, .3);
    z-index: 99;
}

.services-offer-form-rtl .gform_wrapper,
.services-offer-form .gform_wrapper {
    margin: 0;
    width: 100%;
}
.services-offer-form-rtl .gform_wrapper .gform_footer input,
.services-offer-form .gform_wrapper .gform_footer input{
    align-self: center;
}

.services-offer-form-rtl .gform_body ul,
.services-offer-form .gform_body ul {
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: end;
}

.services-offer-form-rtl .gform_body ul li label,
.services-offer-form .gform_body ul li label {
    display: none !important;
}

.services-offer-form-rtl .gform_body ul li,
.services-offer-form .gform_body ul li {
    width: 100% !important;
    padding-left: 0 !important;
}

.services-offer-form-rtl .gform_body ul li input,
.services-offer-form .gform_body ul li input {
    width: 100% !important;
    border: solid 2px white;
    background: rgba(255, 255, 255, .7);
    border-radius: 12px;
}

.services-offer-form-rtl .gform_body ul li input::placeholder,
.services-offer-form .gform_body ul li input::placeholder {
    color: black;
}

.services-offer-form-rtl .gform_footer,
.services-offer-form .gform_footer {
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: end;
}

.services-offer-form-rtl .gform_footer input,
.services-offer-form .gform_footer input {
    background: #b29456;
    color: white;
    padding: 5px 60px;
    width: auto !important;
    border: solid 2px white;
    box-shadow: 1px 1px 7px rgba(0, 0, 0, .4);
    border-radius: 8px;
}

body.dark .services-content {
    color: white;
}

@media (max-width: 768px) {
    .services-top-template {
        height: 520px;
    }
    .services-top-template img {
        height: 520px;
    }
    .services-offer-form-rtl,
    .services-offer-form {
        position: unset;
        max-width: unset;
        z-index: auto;
    }

}

/* --------- About --------- */

.about-me-img,.about-me-title,.about-me-text {
    border-radius: 16px;
    box-shadow: 2px 2px 15px rgba(0,0,0,.2);
    background: rgba(255,255,255,.5);
}
.about-me-img {
    background-image: url(../img/back-03.png);
    background-size: cover;
    background-attachment: fixed;
}
.about-me-img img.img-1{
    filter: drop-shadow(4px 4px 8px rgba(0,0,0,.4));
    max-height: 400px;
}
.about-me-img img.img-2{
    max-height: 130px;
}
.about-me-title h1{
    font-weight: 700;
    color: #4F8CF7;
}
.about-me-title h4{
    color: #b29456;
}

/* --------- Category --------- */

.pagination-custom ul {
    align-items: center !important;
    align-self: center !important;
}

#comments .author-title {
    font-weight: 300;
}

#comments .photo {
    border-radius: 100%;
    height: 100px;
    width: 100px;
    object-fit: cover;
}

.comment-respond .comment-form-comment textarea,
.comment-respond .comment-form-author input,
.comment-respond .comment-form-email input {
    width: -webkit-fill-available;
    border-radius: 16px;
    padding: 10px;
    border: solid 1px #b29456;
}

.comment-respond .comment-form-comment textarea:focus-visible,
.comment-respond input:focus-visible {
    outline: none;
}

.form-submit input{
    float: left;
    padding: 6px 12px;
    border-radius: 8px;
    background: #b29456;
    color: white;
    border: none;
}

.my-breadcrumb-edit a {
    color: #b29456;
    font-size: 15px;
    font-weight: bold;
}

.my-breadcrumb-edit em {
    color: #404040;
    font-size: 1rem;
}

.my-breadcrumb-edit span {
    color: #404040;
    font-size: 1rem;
}

/*  Dark Mode  */

body.dark {
    background-color: #292c35;
}
body.dark .header-design {
    background: rgba(41,44,53,.9);
}
body.dark .header-design .menu-img{
    content: url("../img/logo-white.svg");
}
body.dark .header-design ul li a{
    color: white;
}
body.dark .front-top-design h1 {
    color: #b29456;
}
body.dark .front-top-design .front-top-text h4, body.dark .front-top-design .front-top-text p{
    color: white!important;
}
body.dark .frontpage-content {
    color: white!important;
}

body.dark .front-top-contact {
    background-image: linear-gradient(335deg, #B29456 20%, #F1DC83 50%, #B29456 85%, #B29456 100%);
}

body.dark .front-services {
    background: #b29456;
}
body.dark .articles-bg {
    background-image: url("../img/back-02.png"), linear-gradient(rgba(0,0,0,.1)0%, rgba(0,0,0,.1)100%);
}

body.dark .footer-top h5{
    color: #b29456;
}
body.dark .footer-about p, body.dark .footer-contact a, body.dark .footer-contact span, body.dark .footer-social svg{
    color: white!important;
}
body.dark #footer_menu .navbar-nav .nav-link {
    color: white!important;
}
body.dark .about-me-img,body.dark .about-me-title,body.dark .about-me-text {
    background: #B29456;
}
body.dark .about-me-title h4{
    color: #646464;
}body.dark .about-me-title h1{
     color: #000000;
 }

.checkbox {
    opacity: 0;
    position: absolute;
}

.checkbox-label {
    background-color: #111;
    width: 50px;
    height: 26px;
    border-radius: 50px;
    position: relative;
    padding: 5px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.fa-moon {
    color: #f1c40f;
}

.fa-sun {
    color: #f39c12;
}

.checkbox-label .ball {
    background-color: #fff;
    width: 22px;
    height: 22px;
    position: absolute;
    left: 2px;
    top: 2px;
    border-radius: 50%;
    transition: transform 0.2s linear;
}

.checkbox:checked + .checkbox-label .ball {
    transform: translateX(24px);
}

.colo-gold{
    color: #b29456;
}